


check_conf <- function(conf, file, logger) {
  # conf: yaml user config already read it
  # file: name of the file to clarify messages
  info(logger, paste("Checking user configuration", file))
  if (!('output_dir' %in% names(conf))) {
    error(logger,
         paste("The user configuration file should have element 'output_dir'."))
  }
  if (!is.character(conf$output_dir)) {
    error(logger,
          paste("The element 'output_dir' in", file,"file ",
                "should be a character string indicating the path ",
                "where to save the outputs."))
  }
  info(logger, "User configuration checked succsessfully.")
}


